Subject: [bug#39372] Chicken Scheme: Update version to 5.1.0 and add gcc-toolchain

From: Julien Lepiller <[email-masked]>
Date: Sat, 8 Feb 2020 18:44:40 +0100

Hi,

I tried to apply and build your patch, but unfortunately it didn't
work. From a clean checkout, I cannot run make anymore after applying
the patch, and if I run make before applying your patch, then
./pre-inst-env guix build chicken also fails with:

error: gnu-make: unbound variable
hint: Did you forget a `use-modules' form?

error: googletest: unbound variable
hint: Did you forget a `use-modules' form?

error: bzip2: unbound variable
hint: Did you forget a `use-modules' form?

error: binutils: unbound variable
hint: Did you forget a `use-modules' form?

error: gcc-4.9: unbound variable
hint: Did you forget a `use-modules' form?

error: openmpi: unbound variable
hint: Did you forget a `use-modules' form?

error: perl-module-build: unbound variable
hint: Did you forget a `use-modules' form?

error: python2-numpy: unbound variable
hint: Did you forget a `use-modules' form?

guix build: warning: failed to load '(gnu packages chromium)':
Unbound variable: opus
error: unzip: unbound variable
hint: Did you forget a `use-modules' form?

error: curl: unbound variable
hint: Did you forget a `use-modules' form?

error: binutils: unbound variable
hint: Did you forget a `use-modules' form?

error: libuv: unbound variable
hint: Did you forget a `use-modules' form?

error: libdvdnav: unbound variable
hint: Did you forget a `use-modules' form?

error: perl: unbound variable
hint: Did you forget a `use-modules' form?

error: static-bash: unbound variable
hint: Did you forget a `use-modules' form?

error: java-plexus-container-default: unbound variable
hint: Did you forget a `use-modules' form?

error: openmpi: unbound variable
hint: Did you forget a `use-modules' form?

error: givaro: unbound variable
hint: Did you forget a `use-modules' form?

error: curl: unbound variable
hint: Did you forget a `use-modules' form?

error: xorg-server: unbound variable
hint: Did you forget a `use-modules' form?

guix build: error: chicken: unknown package

I suppose this is caused by a module loop or something between (gnu
packages scheme) and (gnu packages commencement). Maybe splitting (gnu
packages scheme) into two things (maybe a new (gnu packages chicken))
would solve the issue?